Subject: Re: [PATCH net] ipv6 addrconf: fix bug where deleting a mngtmpaddr can create a new temporary address

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Jul 2023 16:08:32 -0700

On Fri, 14 Jul 2023 08:49:55 -0600 David Ahern wrote:
> > I did consider that and I couldn't quite convince myself that simply
> > removing "|| list_empty()" from the if statement is necessarily correct
> > (thus I went with the more obviously correct change).
> > 
> > Are you convinced dropping the || list_empty would work?
> > I assume it's there for some reason...  
> 
> I am hoping Jiri can recall why that part was added since it has the
> side effect of adding an address on a delete which should not happen.

Did we get stuck here? Jiri are you around to answer?